<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="getProducts($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <ion-reorder-group (ionItemReorder)="reorderItems($event)" disabled="false">
    <ion-item
      lines="full"
      button
      *ngFor="let product of products"
      (click)="handleButtonClick(product)"
    >
      <ion-label>
        <h6 class="ion-text-wrap">
          {{ product.name }}
          <ion-text color="danger" style="margin-left: 0.2rem"
            >(₱{{ product.price }})</ion-text
          >
        </h6>
      </ion-label>
      <ion-reorder slot="end"></ion-reorder>
    </ion-item>
  </ion-reorder-group>
  <ion-fab horizontal="end" vertical="bottom" slot="fixed">
    <ion-fab-button size="small" color="success" routerLink="post">
      <ion-icon name="create"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
